View Issue Details

IDProjectCategoryView StatusLast Update
0005959Talerdeployment and operationspublic2019-12-20 19:11
ReporterFlorian DoldAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.6Fixed in Version0.6 
Summary0005959: buildbot workers do not pull deployment.git before proceeding
DescriptionThis means that that there will be problems when deployment.git changes.

The workers should handle this automatically and fetch the latest version of deployment.git as the first step.
TagsNo tags attached.

Activities

Christian Grothoff

2019-12-03 12:54

manager   ~0015118

I have fixed a few more of them now, but I am not sure I like how it was/is done. Basically, right now the deployment contains bash scripts that update the deployment itself.

A cleaner way would seem to be to checkout and/or update the deployment as part of the instructions given from the buildmaster to the buildslave. Right now, this 'update my deployment' logic is scattered over various shell scripts, which often then update themselves as they are running. Ugly.

Florian Dold

2019-12-03 12:55

manager   ~0015119

Agreed.

Christian Grothoff

2019-12-15 17:45

manager   ~0015184

This should now be implemented.

Issue History

Date Modified Username Field Change
2019-11-02 18:08 Florian Dold New Issue
2019-12-03 12:54 Christian Grothoff Note Added: 0015118
2019-12-03 12:54 Christian Grothoff Assigned To => Christian Grothoff
2019-12-03 12:54 Christian Grothoff Status new => assigned
2019-12-03 12:55 Florian Dold Note Added: 0015119
2019-12-15 17:45 Christian Grothoff Status assigned => resolved
2019-12-15 17:45 Christian Grothoff Resolution open => fixed
2019-12-15 17:45 Christian Grothoff Fixed in Version => 0.6
2019-12-15 17:45 Christian Grothoff Note Added: 0015184
2019-12-15 17:46 Christian Grothoff Product Version => git (master)
2019-12-15 17:46 Christian Grothoff Target Version => 0.6
2019-12-20 19:11 Christian Grothoff Status resolved => closed